/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.runtime.standalone.server;

/**
 * Management interface for the Fabric3 server.
 * 
 * @version $Revision: 5483 $ $Date: 2008-09-26 12:06:37 -0700 (Fri, 26 Sep 2008) $
 *
 */
public interface Fabric3ServerMBean {

    /**
     * Starts a runtime specified by the bootpath.
     * 
     * @param profileName Profile for the runtime.
     */
    public void startRuntime(String profileName);

    /**
     * Shuts down a runtime specified by the bootpath.
     * 
     * @param bootPath Bootpath for the runtime.
     */
    public void shutdownRuntime(String bootPath);

    /**
     * Starts the server.
     *
     */
    public void shutdown();

}
